% Finds a root of f(x) within an interval with the bisection method

% Plots f(x) between -2 and 2
x=-2:0.1:2;
plot(x,f(x))

xl=-2; %left bound for the root
xr=0;  % right bound for the root
epsilon=1E-8; % Precision for the root

% If f(xl) and f(xr) have the same sign, there is no root in between
if(f(xl)*f(xr)>0) 
    root=Inf;
else
    % cutting the interval in half until it's smaller than epsilon
    while abs(xr-xl)> epsilon
        % Looking at the middle point of the interval
        root=(xl+xr)/2;
        % If f(root) has the same sign as f(xl), the real root is further
        % right and xl can be moved up.
        if f(root)*f(xl) > 0
            xl=root;
        else
            xr=root;
        end
    end
end

% Checking the result by comparing it to the analytical answer
root
error=abs(sqrt(2)+root)