
clear

%% COORDINATE VECTORS AND MATRICES
x_line = linspace(-3,3,50);
y_line = linspace(-3,3,50);

[x, y] = meshgrid(x_line, y_line);


%% DEFINE THE FUNCTION WE WILL PLOT
z = sin(x) .* sin(y);

%% MAKE PRETTY PLOTS
figure(1)



subplot(3,2,1)
contour(x,y,z)
axis square
colorbar
title('contour')

subplot(3,2,2)
contourf(x,y,z)
axis square
colorbar
title('contourf')







subplot(3,2,3)
pcolor(x,y,z)
axis square
colorbar
title('pcolor')

subplot(3,2,4)
pcolor(x,y,z)
axis square
shading flat
colorbar
title('pcolor + shading interp')



subplot(3,2,5)
surf(x,y,z)
colorbar
title('surf')
lightangle(100,180)
lighting gouraud


subplot(3,2,6)
surf(x,y,z)
colorbar
title('surf + shading interp')
shading interp
lightangle(100,180)
lighting gouraud

