
clear

%% COORDINATE VECTORS AND MATRICES
x = linspace(-30,30,1000);
dx = x(2) - x(1);

%% DEFINE THE FUNCTION WE WILL PLOT
z = (sin(x) ./ x) .^2;

figure(1)
% plot function on the top of three rows
subplot(3,1,1)
plot(z)
title('original function')
    

%% MAKE PRETTY PLOTS
for ii=1:6
    
    % calculate the next derivative
    z = diff(z)/dx;
    
    % place on 3x3 array skiping the first 3 (top row)
    subplot(3,3,3+ii)
    
    plot(z)
    title(sprintf('derivative %d', ii))
    
end

